/*
Contributors: Liam T. Monson
License: BSD 2-Clause license which should be found in the "license.txt"
file in the root game directory.
*/
#include "fileLoading.hpp"
//Non-functional, modifies given char*
void flipImage(unsigned char *data, int x, int y, int increment){
	int size = x * y * increment;
	unsigned char flipped[size];
	//flip values
	int i = 0;
	for(int row = y - 1; row > 0; --row){
		//called subColumn because it's acting on the individual bytes of the pixel
		for(int subColumn = 0; subColumn < x * increment; ++subColumn){
			flipped[subColumn + (x * row * increment)] = *(data + i);
			++i;
		}
	}
	//input flipped values to data
	for(int i = 0; i < size; ++i){
		*(data + i) = flipped[i];
	}
}

void parseConfig(struct chessGData &GData){
	std::ifstream fin;
	fin.open("config.txt");	
	char buf[MAX_CONFIG_LINE_CHARS];
	bool emptyLine = false;
	while(!fin.eof()){
		emptyLine = false;
		fin.getline(buf, MAX_CONFIG_LINE_CHARS);
		if(buf[0] == '\0'){
			emptyLine = true;
		}
		if(!emptyLine){
			const char* token[MAX_CONFIG_LINE_TOKENS] = {};
			token[0] = strtok(buf, " = ");
			//if the line is not empty
			if(token[0]){
				for(int i = 1; i < MAX_CONFIG_LINE_TOKENS; ++i){
					token[i] = strtok(NULL, " = ");
					//if there are no more tokens
					if(!token[i]){
						break;
					}
				}
			}
			//input identifier and value to correct structs
			if(strcmp(token[0], "initWinSideLength") == 0){
				GData.configD.initWinWidth = atoi(token[1]);
				GData.configD.initWinHeight = atoi(token[1]);
			}
			if(strcmp(token[0], "serverIP") == 0){
				GData.configD.serverIP = token[1];
			}
			if(strcmp(token[0], "serverPort") == 0){
				GData.configD.serverPort = atoi(token[1]);
			}
		}
	}
}
