/*
Contributors: Liam T. Monson
License: BSD 2-Clause license which should be found in the "license.txt"
file in the root game directory.
*/
#ifndef GAME_STATE_PROCESSING_H
#define GAME_STATE_PROCESSING_H
#include "gameLogic.hpp"
//misc
void cleanUp(struct chessGData &GData);
void checkForGameCompletion(struct chessGData &GData);
void updateGame(struct chessGData &GData, GLFWwindow *window);
void updateAnimations(struct chessGData &GData);
void updateMenuBGAnimation(struct tile menuBoard[8][8], struct tileCoords tileOffsets[8][8]);
void updateMenuOffsets(struct tileCoords tileOffsets[8][8], struct tileCoords defTileOffsets[8][8],
	   	GLfloat disp, int tarLineStrip, bool moveRow);
void updateCursor(struct chessGData &GData);
void updateCursorSelection(struct menuSelections &menuSel, struct tileIndex &selectedTile, 
	GLfloat tCursX, GLfloat tCursY, int controlContext, int menuState);
//updates window bar with data like which player is in check
void updateGameStateMessage(struct chessGData &GData, GLFWwindow *window);
//-------------------------process command queue
void processCommands(struct chessGData &GData);
void processMainMenuComs(struct chessGData &GData, struct command curCom);
void processInGameMenuComs(struct chessGData &GData, struct command curCom);
void processGameTurnComs(struct chessGData &GData, struct command curCom);
void processHoldingPieceComs(struct chessGData &GData, struct command curCom);
void processWaitSideChoiceComs(struct chessGData &GData, struct command curCom);
void processWaitPieceChoiceComs(struct chessGData &GData, struct command curCom);
void processGameCompletionComs(struct chessGData &GData, struct command curCom);
#endif
