/*
Contributors: Liam T. Monson
License: BSD 2-Clause license which should be found in the "license.txt"
file in the root game directory.
*/
#ifndef MAIN_CHESS_H
#define MAIN_CHESS_H
//c++11
#include <chrono>
#include <thread>
//lower than c++11
#include <GLFW/glfw3.h>
#include <math.h>
#include <queue>
#include "stb_image.h"
#include "gameStateProcessing.hpp"
#include "input.hpp"
#include "chessGDataStruct.hpp"

void resizeWindow(GLFWwindow* window, int width, int height);
void cleanupMain();
void errorCallback(int error, const char* description);
void render(struct chessGData &GData);
void renderMenu(struct menuBackground &menuBG, struct menuSelections menuSel, int menuState);
void renderInGameMenu(struct menuSelections &menuSel, bool inGameMenuOpen);
void renderGameBoard(struct chessGData &GData);
void renderChessTitle();
void renderMenuButton(int button, bool isSelected);
void renderEntities();
void renderTile(struct tile tarTile, bool skipGlow, bool whiteTurn);
void renderHighlight(struct tile tarTile, bool whiteTurn);
//renders square with t-coords along x/y plane with lower left corner at (0,0), at the specified z depth
void renderTSquare(GLfloat size, GLfloat z);
void initializeContexts();
#endif
